{% extends "Alumnos/CampusParientes/index_cursos.html" %}
{% load i18n admin_static admin_list %}


{% block breadcrumbs %}
                <ul class="breadcrumb">
                    <li><a href="/padres/profile/">Home</a> <span class="divider">/</span></li>
                    <li><a href="/hijos/profile/{{ estudiante.id }}/?q=l">{{ estudiante}}</a><span class="divider">/</span></li>
                    <li class="active">{% trans 'Notas' %}</li>

                </ul>
{% endblock %}


{% block extrastyle1 %}
    <style type="text/css">
    body { padding-top: 60px; font-size: 13px; }
    input[type="text"] { 
        padding:0px; margin-bottom:0px; 
        width: 30px;
    }
    .estudiantecol {
        width: 230px;
    }
    .notacol {
        width: 10px;
    }

    .label-info1 {
        background-color: #0F6CFE;
    }

    .label-notaaprobada {
        background-color: #0F6CFE;
    }

    .label-notadesaprobada {
        background-color: #c41104;
    }
    </style>
{% endblock %}

{% block content-main %}
<div class="row-fluid">
    <div class="">
        <form class="">
        <h3>{% trans 'Registro de Notas' %}: {{ periodocurso.Curso.Nombre }}</h3><p />
        {% if cals %}
        <table class="table table-striped ">
            <thead>
                <tr>
                </tr>
                <tr>
                    <TH class="notacol">Nº</TH>
                    {% for reg1 in registros.0.1 %}
                        {% if reg1 %}
                            {% for reg2 in reg1.1 %}
                                {% if reg2 %}
                                    {% for reg3 in reg2.1 %}
                                        {% if reg3 %}
                                            <TH class="notacol">{{ reg3.0.Identificador }}</TH>
                                        {% endif %}
                                    {% endfor %}
                                {% endif %}
                                <TH class="notacol">{{ reg2.0.Identificador }}</TH>
                            {% endfor %}
                            <TH class="notacol">{{ reg1.0.Identificador }}</TH>
                        {% endif %}
                    {% endfor %}
                    <TH class="notacol">{% trans 'Promedio Final del Ciclo' %}</TH>
                </tr>
            </thead>
            <tbody>

                {% for reg in registros %}
                <TR>
                <TD>{{ forloop.counter }}</TD>
                    {% for reg1 in reg.1 %}
                        {% if reg1 %}
                            {% for reg2 in reg1.1 %}
                                {% if reg2 %}
                                    {% for reg3 in reg2.1 %}
                                        {% if reg3 %}
                                                <TD><span class="label label-{% if reg3.2 < 11 %}notadesaprobada{% else %}notaaprobada{% endif %}">{{ reg3.2 }}</span></TD>
                                        {% endif %}
                                    {% endfor %}
                                {% endif %}
                                    <TD><span class="label label-{% if reg2.2 < 11 %}notadesaprobada{% else %}notaaprobada{% endif %}">{{ reg2.2 }}</span></TD>
                            {% endfor %}
                                <TD><span class="label label-{% if reg1.2 < 11 %}notadesaprobada{% else %}notaaprobada{% endif %}">{{ reg1.2 }}</span></TD>
                        {% endif %}
                    {% endfor %}
                    <TD><span class="label label-{% if reg.0.Promedio < 11 %}notadesaprobada{% else %}success{% endif %}">{{ reg.0.Promedio }}</span></TD>
                </TR>
                {% endfor %}
            </tbody>
        </table>
            {% else %}
            <div class="alert alert-success">
                <i class="icon-eye-open"></i> {% trans "No hay calificaciones." %}
            </div>
            {% endif %}
        </form>
        <!-- ITEMS DE CALIFICACION Y NOTAS -->                        
        <div class="row-fluid">
        <div class="span6 well">
            <ul class="nav nav-list">
                <h3>{% trans 'Items de Calificación' %}</h3>
                <li class="divider"></li>
                {% for nota in notas %}
                    <li><i class="icon-chevron-right"></i> <span class="label label-info1">{{ nota.Identificador }}</span> : <span>"{{ nota.Nota }}"</span></li>
                {% endfor %}
            </ul>                   
        </div>
        
        <div class="span6 well">
            <ul class="nav nav-list">
                <h3>{% trans 'Fórmulas de Calificación' %}</h3>
                <li class="divider"></li>
                {% for formula in formulas %}
                    <li><i class="icon-chevron-right"></i> <span>{{ formula }}</span></li>
                {% endfor %}
            </ul>                   
        </div>
        <p align="right">
            <a class="btn btn-success" href="/hijos/profile/{{ estudiante.id }}/?q=l"></i><strong>Volver Atrás</strong></a></p> 
        </div>
        <!-- / ITEMS DE CALIFICACION Y NOTAS -->
    </div>
    
</div>
{% endblock %}
